local _G = _G
local RW = _G.RW3
local expect = RW.Debug.expect
local DEBUG = RW.DEBUG

local plugin = RW:NewPlugin("Timers")
RW.Debug:AddGlobal("Timers", plugin)

local db
local options

function plugin:OnInitialize()
	local defaults = {
		profile = {
			Enabled = true,
		}
	}
	self.db = RW.db:RegisterNamespace(self:GetName(), defaults)
	db = self.db.profile
	
	self.db.RegisterCallback(self, "OnProfileChanged", "OnReset")
	self.db.RegisterCallback(self, "OnProfileCopied", "OnReset")
	self.db.RegisterCallback(self, "OnProfileReset", "OnReset")
	
	RW.RegisterCallback(self, "ConfigLoaded")
	
	self:SetEnabledState(db.Enabled)
end

function plugin:OnEnable()	
end

function plugin:OnReset(event, ...)
end

function plugin:ConfigLoaded()
	print(self)
	RW.UnregisterCallback(self, "ConfigLoaded")
	RW.Config:AddPlugin("Timers", options)
end

options = {
	name = "Timers",
	icon = RW.Common:IconTexture("Spell_Shadow_Dispersion"),
	groups = {		
	},
	children = {		
		{
			widget = "SimpleGroup",
			layout = "Flow",
			type = "group",
			children = {
			}
		}
	}
}